Package org.eclipse.ecf.core.sharedobject.model

# Class SharedModel.Property

java.lang.Object
org.eclipse.ecf.core.sharedobject.model.SharedModel.Property

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  SharedModel

public class SharedModel.Property extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Property(SharedModel model, String name)`
`Property(SharedModel model, String name, Object value)`

## Method Summary

Modifier and Type
Method
Description
`SharedModel`
`getModel()`
`String`
`getName()`
`Object`
`getValue()`
`Object`
`setValue(Object newValue)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Property

public Property(SharedModel model, String name, Object value)

### Property

public Property(SharedModel model, String name)

## Method Details

### getModel

public SharedModel getModel()

### getName

public String getName()

### getValue

public Object getValue()

### setValue

public Object setValue(Object newValue)

### toString

public String toString()

Overrides:
  `toString` in class `Object`